### Method

# Atspi Device generate_mouse_event

since: 2.52

#### Declaration [src]

    void
    atspi_device_generate_mouse_event (
      AtspiDevice* device,
      AtspiAccessible* obj,
      gint x,
      gint y,
      const gchar* name,
      GError** error
    )

#### Description [src]

Synthesizes a mouse event at a specific screen coordinate. Most AT clients should use the `AccessibleAction` interface when tempted to generate mouse events, rather than this method. Event names: b1p = button 1 press; b2r = button 2 release; b3c = button 3 click; b2d = button 2 double-click; abs = absolute motion; rel = relative motion.

Available since: 2.52

#### Parameters

`obj`

  Type: `AtspiAccessible`

  The `AtspiAccessible` that should receive the click.

  The data is owned by the caller of the method.

`x`

  Type: `gint`

  A #gint indicating the x coordinate of the mouse event, relative to `obj`..

`y`

  Type: `gint`

  A #gint indicating the y coordinate of the mouse event, relative to `obj`..

`name`

  Type: `const gchar*`

  A string indicating which mouse event to be synthesized (e.g. “b1p”, “b1c”, “b2r”, “rel”, “abs”).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.